uuid: 2b727752-878f-4fce-b60b-a1616cf2800f
langcode: en
status: true
dependencies:
  config:
    - core.entity_view_mode.node.teaser
    - field.field.node.resource.body
    - field.field.node.resource.field_body_paragraph
    - field.field.node.resource.field_image
    - field.field.node.resource.field_meta_tags
    - field.field.node.resource.field_resource_file
    - field.field.node.resource.field_resource_link
    - field.field.node.resource.field_resource_type
    - field.field.node.resource.field_resource_video
    - field.field.node.resource.field_summary
    - field.field.node.resource.field_tags
    - field.field.node.resource.field_topics
    - node.type.resource
    - responsive_image.styles.narrow
  module:
    - ds
    - file
    - link
    - responsive_image
    - text
    - user
    - video_embed_field
third_party_settings:
  ds:
    layout:
      id: ds_2col
      library: ds/ds_2col
      disable_css: true
      entity_classes: all_classes
      settings:
        wrappers:
          left: div
          right: div
        outer_wrapper: div
        attributes: ''
        link_attribute: ''
        link_custom: ''
        classes:
          layout_class: {  }
    regions:
      left:
        - field_image
        - field_resource_video
      right:
        - node_title
        - field_summary
        - field_resource_link
        - field_resource_file
        - field_resource_type
        - field_topics
    fields:
      node_title:
        plugin_id: node_title
        weight: 2
        label: hidden
        formatter: default
        settings:
          link: true
          wrapper: h2
          class: ''
          exclude_node_title: '0'
_core:
  default_config_hash: dTKjGI-TK4KQFkyWEgGqgUXGJd1bSUWUjmaOFu-1bWQ
id: node.resource.teaser
targetEntityType: node
bundle: resource
mode: teaser
content:
  field_image:
    type: responsive_image
    weight: 0
    region: left
    label: visually_hidden
    settings:
      responsive_image_style: narrow
      image_link: content
    third_party_settings: {  }
  field_resource_file:
    type: file_default
    weight: 5
    region: right
    label: visually_hidden
    settings:
      use_description_as_link_text: true
    third_party_settings: {  }
  field_resource_link:
    type: link
    weight: 4
    region: right
    label: visually_hidden
    settings:
      trim_length: 80
      rel: ''
      target: ''
      url_only: false
      url_plain: false
    third_party_settings: {  }
  field_resource_type:
    type: entity_reference_label
    weight: 6
    region: right
    label: visually_hidden
    settings:
      link: true
    third_party_settings: {  }
  field_resource_video:
    type: video_embed_field_video
    weight: 1
    region: left
    label: visually_hidden
    settings:
      responsive: true
      width: 854
      height: 480
      autoplay: false
    third_party_settings:
      ds:
        ds_limit: ''
  field_summary:
    type: text_default
    weight: 3
    region: right
    label: visually_hidden
    settings: {  }
    third_party_settings: {  }
  field_topics:
    type: entity_reference_label
    weight: 7
    region: right
    label: visually_hidden
    settings:
      link: true
    third_party_settings: {  }
hidden:
  body: true
  field_body_paragraph: true
  field_meta_tags: true
  field_tags: true
  links: true
